<%@ page import="javax.rmi.PortableRemoteObject, javax.naming.Context, javax.naming.InitialContext, com.knauf.ejb.stateless.*" %>
<HTML>
<HEAD>
	<TITLE>GeometricModelTest</TITLE>
	<meta http-equiv="content-type" content="text/html; charset=Windows-1252">
</HEAD>
<BODY>
<H1>Test fr Stateless Session Bean</H1>
<%
InitialContext initialContext = new InitialContext();

//Ist es der erste Aufruf oder wurde auf "Berechnen" geklickt.
if (request.getParameter("submit") == null)
{
  //Erster Aufruf: Nur Formular ausgeben.
}
else
{
  // Zweiter bis n-ter Aufruf: Berechnen.

  double dblA = Double.parseDouble(request.getParameter("a") );
  double dblB = Double.parseDouble(request.getParameter("b") );
  double dblC = Double.parseDouble(request.getParameter("c") );

  ///////////////////////////////////////////////////////////////
  // Berechnung ber Remote-Interface.

  Object homeref = initialContext.lookup ("java:comp/env/ejb/GeometricModel");

  GeometricModelHome home = (GeometricModelHome) PortableRemoteObject.narrow(homeref, GeometricModelHome.class);

  GeometricModel geometricModel = home.create();

  double dblVolume = geometricModel.computeCuboidVolume( dblA, dblB, dblC);
  double dblSurface = geometricModel.computeCuboidSurface( dblA, dblB, dblC);

  %>

  Volumen = <%=dblVolume%>, Oberflche = <%=dblSurface%>

  <br>Und jetzt das ganze ber LocalInterface:
  <%
  homeref = initialContext.lookup ("java:comp/env/ejb/LocalGeometricModel");

  //Local Interfaces knnen direkt ber Typecasts geholt werden.
  GeometricModelLocalHome homeLocal = (GeometricModelLocalHome) homeref;

  GeometricModelLocal geometricModelLocal = homeLocal.create();

  dblVolume = geometricModelLocal.computeCuboidVolume( dblA, dblB, dblC);
  dblSurface = geometricModelLocal.computeCuboidSurface( dblA, dblB, dblC);

  %>

  Volumen = <%=dblVolume%>, Oberflche = <%=dblSurface%>
  <br><br><br>
<%
}
%>
<form action="GeometricModelTest.jsp" method="post">
  a = <input type="text" name="a" /> <br>
  b = <input type="text" name="b" /> <br>
  c = <input type="text" name="c" /> <br>

  <input type="submit" name="submit" value="submit" />
</form>

</BODY>
</HTML>